Package org.globus.net

# Class GlobusURLStreamHandlerFactory

java.lang.Object
org.globus.net.GlobusURLStreamHandlerFactory

All Implemented Interfaces:
  `URLStreamHandlerFactory`

public class GlobusURLStreamHandlerFactory extends Object implements URLStreamHandlerFactory

## Constructor Summary

Constructors
Constructor
Description
`GlobusURLStreamHandlerFactory()`

## Method Summary

Modifier and Type
Method
Description
`URLStreamHandler`
`createURLStreamHandler(String protocol)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### GlobusURLStreamHandlerFactory

public GlobusURLStreamHandlerFactory()

## Method Details

### createURLStreamHandler

public URLStreamHandler createURLStreamHandler(String protocol)

Specified by:
  `createURLStreamHandler` in interface `URLStreamHandlerFactory`